diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/listener.c ircd-hybrid-6.0/src/listener.c
--- ircd-hybrid-6.0.orig/src/listener.c	Thu Jun 21 20:32:09 2001
+++ ircd-hybrid-6.0/src/listener.c	Thu Jun 21 20:28:10 2001
@@ -334,7 +334,7 @@
 {
   static time_t      last_oper_notice = 0;
   struct sockaddr_in addr;
-  size_t             addrlen = sizeof(struct sockaddr_in);
+  socklen_t          addrlen = sizeof(struct sockaddr_in);
   int                fd;
 
   assert(0 != listener);
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/res.c ircd-hybrid-6.0/src/res.c
--- ircd-hybrid-6.0.orig/src/res.c	Thu Jun 21 20:32:09 2001
+++ ircd-hybrid-6.0/src/res.c	Thu Jun 21 20:28:39 2001
@@ -1001,7 +1001,7 @@
   aCache*            cp = NULL;
   size_t             rc;
   int                answer_count;
-  size_t             len = sizeof(struct sockaddr_in);
+  socklen_t          len = sizeof(struct sockaddr_in);
   struct sockaddr_in sin;
 
   rc = recvfrom(ResolverFileDescriptor, buf, sizeof(buf), 0, 
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_auth.c ircd-hybrid-6.0/src/s_auth.c
--- ircd-hybrid-6.0.orig/src/s_auth.c	Thu Jun 21 20:32:09 2001
+++ ircd-hybrid-6.0/src/s_auth.c	Thu Jun 21 20:29:20 2001
@@ -246,7 +246,7 @@
 {
   struct sockaddr_in sock;
   struct sockaddr_in localaddr;
-  size_t             locallen = sizeof(struct sockaddr_in);
+  socklen_t          locallen = sizeof(struct sockaddr_in);
   int                fd;
 
   if ((fd = socket(AF_INET, SOCK_STREAM, 0)) == -1) {
@@ -466,8 +466,8 @@
   struct sockaddr_in us;
   struct sockaddr_in them;
   char            authbuf[32];
-  size_t          ulen = sizeof(struct sockaddr_in);
-  size_t          tlen = sizeof(struct sockaddr_in);
+  socklen_t       ulen = sizeof(struct sockaddr_in);
+  socklen_t       tlen = sizeof(struct sockaddr_in);
 
   if (getsockname(auth->client->fd, (struct sockaddr *)&us,   &ulen) ||
       getpeername(auth->client->fd, (struct sockaddr *)&them, &tlen)) {
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_bsd.c ircd-hybrid-6.0/src/s_bsd.c
--- ircd-hybrid-6.0.orig/src/s_bsd.c	Thu Jun 21 20:32:09 2001
+++ ircd-hybrid-6.0/src/s_bsd.c	Thu Jun 21 20:30:12 2001
@@ -137,7 +137,7 @@
   int errtmp = errno;
 #ifdef SO_ERROR
   int err = 0;
-  size_t len = sizeof(err);
+  socklen_t len = sizeof(err);
 
   if (-1 < fd && !getsockopt(fd, SOL_SOCKET, SO_ERROR, (char*) &err, &len)) {
     if (err)
@@ -739,7 +739,7 @@
 {
   struct Client*           new_client;
   struct sockaddr_in addr;
-  size_t             len = sizeof(struct sockaddr_in);
+  socklen_t          len = sizeof(struct sockaddr_in);
 
   assert(0 != listener);
 
